ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
data_filtration_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| filter_http_data ($FiltrationScript)
| filter_data ($Data, $FiltrationScript)

## Data Fields
| $String = false

## Detailed Description

Class with all supported data description.

Author
  Dodonov A.A.

Definition at line 26 of file data_filtration.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 50 of file data_filtration.php.

{
try
{
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

filter_data | ( |  | $Data,
|  |  | $FiltrationScript
| ) |  |

The method filtrates data.

Parameters

  $Data | - Data to filter.
  $FiltrationScript | - Data filtration script.

Returns
  Filtered data.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 229 of file data_filtration.php.

{
try
{
$Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$Settings->load_settings( $FiltrationScript );
if( $Settings->get_setting( 'keys' , false ) )
{
$Settings->set_setting( 'keys' , explode( ',' , $Settings->get_setting( 'keys' ) ) );
}
$Ret = $this->filter_data_by_keys( $Data , $FiltrationScript , $Settings );
return( count( $Ret ) ? $Ret : false );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

filter_http_data | ( |  | $FiltrationScript | ) |

The method filtrates http data.

Parameters

  $FiltrationScript | - Data filtration script.

Returns
  - Filtered data.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 84 of file data_filtration.php.

{
try
{
return( $this->filter_data( array_merge( $_GET , $_POST ) , $FiltrationScript ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$String = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file data_filtration.php.

The documentation for this class was generated from the following file:

- packages/security/packages/data_filtration/data_filtration.php